CAM

Working with Rational Performance Tester Version 9 and ITCAM for Transactions 7.4

By harriet johnson posted Tue October 15, 2019 02:33 AM

  

ITCAM for Transactions 7.4 - Using RPT 9

Upgrade your environment to the latest ITCAM for Transactions 7.4.0.1+IF0008 and Rational Performance Tester 9! There are some requirements you should review before upgrading and then verify after you have installed everything.

Requirements

  1. To install these components you must log in as the local administrator, or the logged in user must be a member of the local administrator groups.
    When you install RPT you must run the installation with a local administrator account.  When you install the ITCAM Rational Integration Support you must install this with a local administrator account.  Right click on the setup and choose "Run as administrator." 
    image
     
  2. Verify the Application Managment Console (T3 agent) and the Robotic Response Time agent (T6) are at the same version.  The T3 agent must be the same or higher version as the T6 agent.  For example, if the T6 agent is version 7.4.0.1 then the T3 agent must be at least 7.4.0.1 or higher.  Verify this by using the (kin)cinfo -i command on both agents.
     
  3. The Rational Integration Support (RIS) version must match the T3 agent version.  Open RPT to verify the Installation Details, the Feature Name and Version shows the RIS version, highlighted below.image

     
  4. In the IBM Installation Manager you can verify the SOA extension is installed with the RPT installation.   To ensure the correct installation and functionality of Rational Integration Support, the above extensions must all be selected.  See IBM Rational Performance Tester Extension for SOA Quality checked below in the Features. 
  5.  image
     
  6.  In the IBM Installation Manger you can verify the 32bit version of product is installed. ITCAM integration does not support the 64bit architecture.   The Details below show Architecture: 32-bit.image


Followup

If any of the above requirements are not in sync you must correct the installation and configuration.

If RPT scripts fail to run, or you are not able to export scripts, it is likely that one of the items above is not correctly in sync.  You can open a PMR with IBM Support and provide the information above (including screen shots) along with these items:

  • From RPT export the script with Export Test --> Test Assets with Dependenciesimage

     
  • Provide the following directory containing these logs from the RPT workspaceimage
  • Create a .bat file with the following commands included.  Run this command with "Run as administrator" on the RPT machine and send all of the output to IBM Support, each command creates a new file in c:\temp. 
    • whoami > C:\TEMP\whoami.txt
    • echo %USERDNSDOMAIN% > C:\TEMP\domain.txt
    • set > C:\TEMP\env_var.txt
    • net user %username% > C:\TEMP\user.txt
    • net user %username% /domain  > C:\TEMP\domain_user.txt

      userinfo.bat|View Details


References

Installing RPT 9 for use with ITCAM for Transactions

Current and Planned support of RPT

And now..... the movie!  RPT 9.0

RPT 9.1 video

0 comments
6 views

Permalink